[ Copyright (C) 2022  William R. Moore <william@nerderium.com>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 3 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <https://www.gnu.org/licenses/>. ]

"Buttered Toast: the Interactive Fiction Starring Billy Davis" by "Masterful Interactions".
The story description is "You are Billy Davis and you need to lead Chung Ho to San Francisco. However, can you keep him safe from the legendary Possum Crotch?".
Include Buttered Toast Rules by William Moore.
Release along with cover art.
Release along with an interpreter.
Release along with the source text.
The release number is 3.

Asking someone about something is speech. Telling someone about something is speech. Answering someone that something is speech. Asking someone for something is speech.

Looking is look.

The block giving rule is not listed in the check giving it to rules.

A person can be drunk or sober.  A person is usually sober.  A person can be alive or dead.  A person is usually alive.

[ The Beginning scene ]

The Beginning is a scene.  The Beginning begins when play begins.  The Beginning ends when the player is wearing the amulet of destiny.  The description of the Beginning is "Welcome to Buttered Toast: the Interactive Fiction Starring Billy Davis.[line break][line break]We want to claim this is full of action, adventure, mystery, and love![line break][line break]In loving memory of Johnny von Soundstation."

Poorly Lit Room is a room.  The description of Poorly Lit Room is "You are in a poorly lit room and it is difficult to see most features.  Those that are visible are blurry."

The Narrator is a person in Poorly Lit Room.  The description of Narrator is "The narrator is well-dressed and young looking.  However, what their true form is beguiling.  They look like they urgently want to speak with you."

The amulet of destiny is a thing.  It is wearable.  It has a number called charge.  The description of the amulet of destiny is "A bright and shiny amulet that weighs a bunch."

After speech when the noun is Narrator and The Beginning is happening:
	say "The Narrator says 'Hello, Billy Davis!  What you are about to see is Buttered Toast: the Interactive Fiction Starring Billy Davis.  If you are in the wrong interactive fiction, this is probably going to be your last chance to leave before you get embarrassed.  So, I will wait a while so those who may have entered the wrong one may leave.  Alright!  I can only assume that you all are the ones wanting to experience it.";
	say "Enjoy the show!";
	say "Here, have [the amulet of destiny]!  Wear it with strength and honor!";
	say "Oh!  One more thing, don't be afraid to say 'hi' to people or slap them silly.'";
	now the amulet of destiny is in Poorly Lit Room;
	silently try taking the amulet of destiny;
	now the player is wearing the amulet of destiny

[ Scene 2 - A small Chinese village in 1895 ]

Scene 2 is a scene.  Scene 2 begins when the Beginning ends.  Scene 2 ends when Chung Ho has the Small Canoe.

Chung Ho's House is a room.  The description of Chung Ho's House is "It is a run down shanty-house typical of the poor fishing villages in China of the late 19th century.  There is a door to the south."

Small Chinese Village Main Street is a room.  Small Chinese Village Main Street is south of Chung Ho's House and east of Boat Shop.  The description of Small Chinese Village Main Street is "The main walkway has people milling about doing their own business.  Fishmongers are selling their fish.  Chung Ho's House is north.  A boat shop is west."

Boat Shop is a room.  The description of the Boat Shop is "This is a small boat shop that cannot possibly have any boats available.  Nobody is around.  There is a door to the east."

Small Canoe is a thing in Boat Shop.  The description of Small Canoe is "This is a shoddy looking small canoe that looks perfect for Chung Ho."

Chung Ho is a person in Chung Ho's House.  He unlocks the Dragon Gate.  The description of Chung Ho is "Despite being a supposed man from China, he looks very Caucasian."

Chung He is a person in Chung Ho's House.  The description of Chung He is "An average Chinese woman.  She looks like she has worked hard all her life."

When Scene 2 begins:
	move the player to Chung Ho's House.

After speech when the noun is Chung Ho and Scene 2 is happening:
	say "He says 'I need to go to America.  In order to do this, I need a way to safely cross the great ocean that separates our two lands.'"

To decide whether Small Canoe interests Chung Ho:
	if Chung Ho has Small Canoe, no;
	yes.

After giving Small Canoe to Chung Ho:
	say "Chung Ho smiles and says 'Thank you!  Now, I can go to America finally.'";
	move Chung Ho to Small Chinese Village Warf;
	move Chung He to Small Chinese Village Warf;
	move the player to Small Chinese Village Warf

[ Scene 3 - A Fateful Goodbye ]
Scene 3 is a scene.  Scene 3 begins when Scene 2 ends.  Scene 3 ends when the Small Canoe is nowhere.

Small Chinese Village Warf is a room.  The description of Small Chinese Village Warf is "The small warf is pretty decrepit.  Really old junk ships float around.  There are the remains of several off the warf."

When Scene 3 begins:
	say "Chung He frowns and says 'I cannot believe this is a good course of action!'";
	say "Chung Ho kisses his wife on the forehead and says 'Baby, I'll be back!  I promise.  What's the worst that could happen?'";
	say "Chung Ho enters the small canoe and starts slowly moving away from the warf into the great Pacific Ocean.  After many, many days, his canoe springs a leak and starts to sink.";
	say "Chung Ho looks around fearfully and says 'Oh, gods!  Send me a dragon to keep me secure!'";
	say "However, the gods did not listen and he sinks into the ocean.";
	remove the Small Canoe from play.

[ Scene 4 - San Francisco, 1895 ]
Scene 4 is a scene.  Scene 4 begins when Scene 3 ends.  Scene 4 ends when Amelia is drunk.

Central Embarcadero is a room.  Central Embarcadero is south of North Embarcadero.  The description of Central Embarcadero is "The Embarcadero looks like a warf straight from 20 years in the future.  It extends north and south along a curve.  Shops are along it.  West is the rest of San Francisco."

North Embarcadero is a room.  The description of North Embarcadero is "The northern side of the Embarcadero trails off into the beach.  There are several shops continue flowing from the southern direction.  West is the rest of San Francisco.  South is the Embarcadero."

South Embarcadero is a room.  It is south of Central Embarcadero.  The description of South Embarcadero is "The southern side of the Embarcadero trails off into the beach.  More shops line the pathways.  West is the rest of San Francisco.  North is the Embarcadero."

Amelia is a person in Central Embarcadero.  The description of Amelia is "Amelia is a slender woman wearing ruined aviator clothes.  She has sandy blonde hair.  She seems lost."

Irish Whiskey is a thing.  The description of Irish Whiskey is "The Irish whiskey is a delicious drink that will make one intoxicated quickly."

Lombard Street is a room.  Lombard Street is west of North Embarcadero.  The description of Lombard Street is "The twisty road is an iconic roadway that was the intention of the residents during the 1920s to prevent issues that arose with the steep hill.  It is not supposed to be here during your time.  The only way to go is east and west"

Market Street is a room.  Market Street is west of Lombard Street.  The description of Market Street is "This is a busy street lined with many shops and businesses.  The street has the appearance of cleanliness.  It goes east and southwest."

North Market Street Entrance is a door.  It is north of Market Street.  It is south of Cafe du Nord.  The description of North Market Street Entrance is "The door is fancy looking and has the words 'Cafe du Nord' across the top."

Cafe du Nord is a room.  It is north of North Market Street Entrance.  The description of Cafe du Nord is "For more than 100 years, Cafe Du Nord has maintained its intimate mood of a speakeasy with rich, dark colors of red and black.  The main door is to the east."  

Typical Barkeep is a man in Cafe du Nord.  The description of Typical Barkeep is "The barkeep is your generic barkeep.  He has a closely shaved head.  A dark, waxed moustache and dark goatee.  He seems to always be cleaning a beer mug with a rag despite the fact he serves people from other mugs found in the bar."

When Scene 4 begins:
	say "Chung Ho washes on the shores of San Francisco in 1895.  His appearance is haggard.  He looks disheveled and water-logged.  He slowly climbs up the beach and onto the Embarcadero.";
	move Chung Ho to Central Embarcadero;
	move the player to Central Embarcadero;

Before going to a room (called new room) when Amelia is sober and Scene 4 is happening:
	move Amelia to new room;
	say "Amelia sobs uncontrollably."

After slapping when the noun is Typical Barkeep and Scene 4 is happening:
	say "The barkeep sits down and cries.  After some time, he says 'Screw you, all!  I quit!  I've had it up to here with your awful treatment!'  He then gets up and leaves.  You rummage through the bar and take some [Irish Whiskey].";
	remove Typical Barkeep from play;
	now Irish Whiskey is in Cafe du Nord;
	silently try taking Irish Whiskey;

After examining when noun is Chung Ho and (Scene 4 is happening or Scene 5 is happening):
	say "His clothing is in a state of disrepair."

After speech when the noun is Chung Ho and Scene 4 is happening:
	say "Chung Ho says 'I am lost.  Is this San Francisco?'"

After speech when the noun is Amelia and Scene 4 is happening and Amelia is sober:
	say "Amelia says 'Help me!  I'm lost.  My plane crashed and I can't find my husband.'"

After speech when the noun is Amelia and Amelia is drunk:
	say "Amelia says 'All I had to do was fly around the world.'"

To decide whether Irish Whiskey interests Amelia:
	if Amelia has Irish Whiskey, no;
	yes.

After examining when noun is Amelia and Amelia is drunk:
	say "Amelia looks plastered after polishing off the whiskey."

After giving Irish Whiskey to Amelia:
	say "Amelia smiles and says 'Thank you!  I can probably forget about my troubles with this.'";
	now Amelia is drunk;
	move Amelia to Cafe du Nord.

[ Scene 5 - Off to Chinatown, baby! ]
Scene 5 is a scene.  Scene 5 begins when Scene 4 ends.  Scene 5 ends when the location of the player is Chinatown.

When Scene 5 begins:
	remove Chung Ho from play

Wayfare Tavern is a room.  It is west of Central Embarcadero.  It is south of Lombard Street.  The description of Wayfare Tavern is "This is some sort of attempt at a tavern for the purposes of serving drinks.  It looks inviting.  There are paths east and north.  There is a giant, decorative wall to the west would have a famililar esthetic to Chung Ho."

Wayfare Tavern Barkeep is a person.  They are in Wayfare Tavern.  the description of Wayfare Tavern Barkeep is "The barkeep is your generic barkeep.  He has a closely shaved head.  A dark, waxed moustache and dark goatee.  He seems to always be cleaning a beer mug with a rag despite the fact he serves people from other mugs found in the bar."

Darcon is a person.  The description of Darcon is "He looks like a typical retail worker wearing a blue vest, white shirt, and blue pants.  He is quietly muttering obscenities into his drink."

Before going to a room (called new room) when Scene 5 is happening and Chung Ho is visible:
	move Chung Ho to new room.

After speech when noun is Wayfare Tavern Barkeep and Scene 5 is happening and Darcon is not visible:
	say "The barkeep eyes you suspiciously and says 'You're not one of those teetotalers are you?  If so, I'll have none of your kind here.  Otherwise, come!  Drink with us all!'";
	say "He waves at the one patron of the tavern.";
	move Darcon to Wayfare Tavern;
	say "Darcon coincidentally walks out of the restroom and sits at a table.";
	move Chung Ho to Wayfare Tavern;
	say "Chung Ho walks into the tavern."

After speech when noun is Darcon and Scene 5 is happening:
	say "Darcon eyes you up and down.  He says 'You've heard of him haven't you?";
	say "What?  You haven't.  Well let me tell you the tale of Possum Crotch.  He's the meanest nastiest gas-mask wearing individual around here.
	However, I reckon he's no man but monster.  You keep an eye out and don't let your friend there meet him if you catch my drift!'";
	say "Darcon goes back to his drink and sobs a little and says 'I don't know where your tube socks are ma'am.  Just let me go home, I said.'"

Omni San Francisco Hotel is a room.  It is south of Wayfare Tavern.  It is west of South Embarcadero.  The description of Omni San Francisco Hotel is "The Omni San Francisco Hotel looks like an excellent place to stay if you wanted to.  There is a path southwest.  There is a path back to the Embarcadero to the east.  There is a path north.    There is a giant, decorative wall to the west would have a famililar esthetic to Chung Ho."

Wallaby Fits is a person.  They are in Omni San Francisco Hotel.  The description of Wallaby Fits is "A tall, lanky, balding man who looks grumpy and could start going into an invective fit at any moment."

After speech when noun is Wallaby Fits and Scene 5 is happening:
	say "Wallaby Fits looks up and says 'This is just the sort of blinkered
	philistine pig-ignorance I've come to expect from you non-creative
	garbage.  You sit there on your loathsome spotty behinds squeezing
	blackheads, not caring a tinker's cuss for the struggling artist.
	You excrement, you whining hypocritical toadies with your colour TV
	sets and your Tony Jacklin golf clubs and your bleeding masonic
	secret handshakes. You wouldn't let me join, would you, you
	blackballing bastards.  Well I wouldn't become a Freemason now if
	you went down on your lousy stinking knees and begged me.'";
	say "You stare at him bewildered.";
	say "Wallaby Fits stares at you with his head tilted to the side and says 'Oh I'm sorry.  I mistook you for someone important.'";
	say "Wallaby Fits goes back to what he was doing which is none of your concern."

Dragon Gate is a door.  It is locked.  It is north of Gateway.  It is south of Chinatown.  The description of the Dragon Gate is "The style of the Dragon Gate is as familiar to Chung Ho as the decorative wall."

Gateway is a room.  It is southwest of Omni San Francisco.  The description of Gateway is "You stand before a giant gate connecting the walls."

After examining when noun is Dragon Gate and Dragon Gate is locked:
	say "A sign says 'The way is shut.  It was made by those who are dead.  The way is shut.'"

After speech when noun is Chung Ho and the location of the player is Gateway and Dragon Gate is locked and Scene 5 is happening:
	say "Chung Ho says 'What do you think I can do about this?  Just because I'm Chinese doesn't mean I have some sort of 'open up locked Chinese doors' superpower!'";
	now the Dragon Gate is unlocked;
	say "There is a rumble and suddenly a loud clicking sound is heard as the Dragon Gate becomes unlocked."

[ Scene 6 - Chinatown ]
Scene 6 is a scene.  Scene 6 begins when Scene 5 ends.  Scene 6 ends when Chung Ho is dead.

When Scene 6 begins:
	say "Chung Ho looks at you and is visibly frightened.  He says 'I don't like the looks of this, amigo!'";
	say "You shrug your shoulders.";
	move Chung Ho to Chinatown;
	say "It's kind of dark because it is dark outside and all the lights are dimmed in the area.  From what you can tell, Chinatown is a large city block that could be bustling during the day.  Fortunately, Chung Ho has his trusty torch with him to guide you both through the darkness.";
	say "At that exact moment, the Dragon Gate shuts and locks behind you.  Chung Ho's words echo in your mind.";
	now Chung Ho is alive;
	now the Dragon Gate is closed;
	now the Dragon Gate is locked

Chinatown is a room.  The description of Chinatown is "Chinatown is one of the oldest Chinese-centric areas in San Francisco and spans several city blocks.  It is surrounded by a decorative wall that seems oddly familiar to Chung Ho."

Every turn when Scene 6 is happening:
	increment the charge of the amulet of destiny

Every turn when Scene 6 is happening and the charge of the amulet is 10:
		say "Suddenly, you hear a twig snapping sound."

Every turn when Scene 6 is happening and the charge of the amulet is 20:
		say "A medium size, muscular man drops down from the top of a nearby building.  He has long, flowing, black hair and is wearing olive pants, camoflauge short sleeved shirt, wearing a gas mask, and wielding a baseball bat!
		He then uses the bat to beat Chung Ho to death.";
		now Chung Ho is dead

Instead of rubbing the amulet of destiny during Scene 6:
	say "Several hired goons come running out with various blunt weapons, which they use to repeatedly pummel Chung Ho.  Once dead, they drag Chung Ho out of Chinatown.";
	say "A medium size, muscular man drops down from the top of a nearby building.  He has long, flowing, black hair and is wearing olive pants, camoflauge short sleeved shirt, wearing a gas mask, and wielding a baseball bat!";
	say "He looks very confused.  Looks around and rips off the mask.  He then mutters something incoherent.";
	say "After shrugging his shoulders, he then swings the bat slightly and says 'I'm killing him now!'";
	say "He then throws the bat onto the ground and storms off.";
	now Chung Ho is dead.

[ The End ]
The End is a scene.  The End begins when Scene 6 ends.

ye flask is a thing.  The description of ye flask is "It is a flask containing some unknown liquid."

Instead of taking ye flask, say "You can't get ye flask."

When The End begins:
	now Ye Flask is in Poorly Lit Room;
	move the player to Poorly Lit Room

After speech when the noun is Narrator and The End is happening:
	say "The Narrator looks up and appears surprised that you're there.  Oh!  Um!  You're back!?  How was it?  Did you save Chung Ho?  I see.  Well, maybe better luck next time or you could see the upcoming sequel: Buttered Toast: the Legend of Possum Crotch.";
	end the story.

test wt with "speak with narrator / go s / go w / get canoe / go e / go n / give canoe to ho / go n / go w / go w / go n / slap barkeep / give whiskey to amelia / go s / go e / go s / speak with barkeep / say hi to darcon / go s / say greetings to wallaby fits / go sw / say hi to ho / go n"
